Index: trunk/SophyaPI/PIext/Makefile
===================================================================
--- trunk/SophyaPI/PIext/Makefile	(revision 2778)
+++ trunk/SophyaPI/PIext/Makefile	(revision 2781)
@@ -794,23 +767,21 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomhistadapter.cc
  
-$(SOPHYAOBJP)nomimagadapter.o: nomimagadapter.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)datatype.h nomimagadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+$(SOPHYAOBJP)nomimagadapter.o: nomimagadapter.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)datatype.h nomimagadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -823,31 +794,22 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)cimage.h \
   $(SOPHYAINCP)fioarr.h pimgadapter.h \
   $(SOPHYAINCP)objfitter.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)fitstarray.h \
@@ -860,20 +822,19 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)datatype.h nomskymapadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)datatype.h nomskymapadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -886,33 +847,24 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)utilgeom.h $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
   $(SOPHYAINCP)sphericalmap.h \
@@ -937,20 +889,18 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  nomspecrespadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)osx_values.h nomspecrespadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -963,50 +913,40 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)specresp.h \
   $(SOPHYAINCP)specrespvector.h \
   $(SOPHYAINCP)gaussfilt.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomspecrespadapter.cc
  
-$(SOPHYAOBJP)nomtarradapter.o: nomtarradapter.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)datatype.h nomtarradapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+$(SOPHYAOBJP)nomtarradapter.o: nomtarradapter.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)datatype.h nomtarradapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1019,28 +959,20 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h pitvmaad.h \
-  $(SOPHYAINCP)piyfxdrw.h \
-  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)piyfxdrw.h $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)fitstarray.h \
   $(SOPHYAINCP)fitsfile.h \
@@ -1052,14 +984,11 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1070,25 +999,18 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)objfitter.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)cimage.h $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h nomtmatvecadapter.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
+  nomtmatvecadapter.h nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1101,9 +1023,7 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)piyfxdrw.h pitvmaad.h \
   $(SOPHYAINCP)fitstarray.h \
@@ -1113,11 +1033,10 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomtmatvecadapter.cc
  
-$(SOPHYAOBJP)pawexecut.o: pawexecut.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)pawexecut.o: pawexecut.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1127,34 +1046,22 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)histerr.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h pawexecut.h \
-  piacmd.h $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
-  servnobjm.h nomgadapter.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)hisprof.h $(SOPHYAINCP)histerr.h \
+  $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)ntupintf.h \
+  pawexecut.h piacmd.h $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h servnobjm.h \
+  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1167,9 +1074,7 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)generaldata.h \
@@ -1196,11 +1101,9 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)piimage.h $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -1213,6 +1116,6 @@
 $(SOPHYAOBJP)pi2dvec.o: pi2dvec.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1222,20 +1125,13 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)nbtri.h pi2dvec.h \
-  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)nbtri.h \
+  pi2dvec.h pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -1243,6 +1139,5 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -1255,6 +1150,5 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -1277,20 +1171,15 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -1302,9 +1191,9 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pi2dvec.cc
  
-$(SOPHYAOBJP)piacmd.o: piacmd.cc $(SOPHYAINCP)sopnamsp.h \
-  piacmd.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)piacmd.o: piacmd.cc $(SOPHYAINCP)sopnamsp.h piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -1315,8 +1204,7 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h dlftypes.h \
-  basexecut.h $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h \
   $(SOPHYAINCP)srandgen.h pistdimgapp.h \
@@ -1327,6 +1215,5 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -1339,6 +1226,5 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -1361,84 +1247,64 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  pisiadw.h $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h piafitting.h \
-  nomgadapter.h $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)resusage.h basexecut.h graphexecut.h \
+  piafitting.h nomgadapter.h $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h pawexecut.h \
-  cxxexecutor.h cxxexecwin.h contmodex.h flowmodex.h
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h pawexecut.h cxxexecutor.h \
+  cxxexecwin.h contmodex.h flowmodex.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piacmd.cc
  
-$(SOPHYAOBJP)piafitting.o: piafitting.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)strutil.h \
-  $(SOPHYAINCP)nbtri.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)piafitting.o: piafitting.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)strutil.h $(SOPHYAINCP)nbtri.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)fct1dfit.h \
-  $(SOPHYAINCP)fct2dfit.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)fct2dfit.h $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)cimage.h $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)objfitter.h piafitting.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)objfitter.h piafitting.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1451,14 +1317,11 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pdlmgr.h dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h nobjmgr.h \
-  pistdimgapp.h $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)zthread.h \
+  nobjmgr.h pistdimgapp.h $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)picontainerx.h \
@@ -1481,11 +1344,9 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)piimage.h $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -1494,6 +1355,5 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h nomhistadapter.h \
-  $(SOPHYAINCP)histerr.h \
-  $(SOPHYAINCP)xntuple.h \
+  $(SOPHYAINCP)histerr.h $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h nomgfdadapter.h \
@@ -1501,8 +1361,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piafitting.cc
  
-$(SOPHYAOBJP)pigfd1.o: pigfd1.cc $(SOPHYAINCP)sopnamsp.h \
-  pigfd1.h $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)pigfd1.o: pigfd1.cc $(SOPHYAINCP)sopnamsp.h pigfd1.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1512,26 +1372,18 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1544,13 +1396,12 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigfd1.cc
  
-$(SOPHYAOBJP)pigfd2.o: pigfd2.cc $(SOPHYAINCP)sopnamsp.h \
-  pigfd2.h $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)pigfd2.o: pigfd2.cc $(SOPHYAINCP)sopnamsp.h pigfd2.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1560,27 +1411,18 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1593,15 +1435,13 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pigraph3d.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigfd2.cc
  
-$(SOPHYAOBJP)pihisto.o: pihisto.cc $(SOPHYAINCP)sopnamsp.h \
-  pihisto.h $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)pihisto.o: pihisto.cc $(SOPHYAINCP)sopnamsp.h pihisto.h \
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1611,24 +1451,17 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1641,11 +1474,11 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)hisprof.h
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h $(SOPHYAINCP)hisprof.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pihisto.cc
  
-$(SOPHYAOBJP)pihisto2d.o: pihisto2d.cc \
+$(SOPHYAOBJP)pihisto2d.o: pihisto2d.cc $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -1653,6 +1486,5 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
